import { AnyFun } from "queenjs/typing";
import { h } from "vue";
import { TipIcon } from "./TipIcon";

export function createTipIcon(options: {
  icons: any[];
  tips: Array<string | JSX.Element>;
}): (props: { class?: any; value?: number; disable?: boolean; onClick?: AnyFun }) => JSX.Element {
  return (props: any) => {
    return h(TipIcon, { ...options, ...props });
  };
}
